org.eclipse.mat.parser.internal.snapshot

## Class ObjectMarker.LocalDfsThread

- java.lang.Object
- - org.eclipse.mat.parser.internal.snapshot.ObjectMarker.DfsThread
  - - org.eclipse.mat.parser.internal.snapshot.ObjectMarker.LocalDfsThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  ObjectMarker

    public class ObjectMarker.LocalDfsThread
    extends ObjectMarker.DfsThread

Depth first search thread - with locality. Have a local stack for objects close to the current object. Have a local queue for remaining objects. Use the global stack for excess objects or when local stack & queue are empty.

### Constructor Summary

Constructors
Constructor and Description
`LocalDfsThread(org.eclipse.mat.parser.internal.snapshot.ObjectMarker.MultiThreadedRootStack roots)`
`LocalDfsThread(org.eclipse.mat.parser.internal.snapshot.ObjectMarker.MultiThreadedRootStack roots, int range)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalDfsThread

    public LocalDfsThread(org.eclipse.mat.parser.internal.snapshot.ObjectMarker.MultiThreadedRootStack roots)

#### LocalDfsThread

    public LocalDfsThread(org.eclipse.mat.parser.internal.snapshot.ObjectMarker.MultiThreadedRootStack roots,
                          int range)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `ObjectMarker.DfsThread`